version: '3.2'

services:
  monitor:
      image: buythewhale/ethstats_monitor
      volumes:
      - ./ethstats/monitor/app.json:/home/ethnetintel/eth-net-intelligence-api/app.json:ro
      depends_on:
        - ui
  dashboard:
      image: buythewhale/ethstats
      volumes:
      - ./ethstats/dashboard/ws_secret.json:/eth-netstats/ws_secret.json:ro
      ports:
      - 3001:3000
      depends_on:
        - ui
  blockexplorer:
    build:
      context: ./blockexplorer
    restart: always
    command: ['npm', 'start']
    ports:
      - "8000:8000"
  mqtt:
    build:
      context: ./MQTT
    command: ['node', 'sensors.js']
    depends_on:
      - ui
  ui:
    build:
      context: ./ui
    command: ['npm', 'start']
    depends_on:
      - miner
  miner:
    build:
      context: ./miner
    command: ['sh', 'startminer1.sh']
